searchNodes=[{"doc":"The sibling of String.Casing , String.Break and String.Normalizer from Elixir core. It parses the NamesList.txt file provided by Consortium, building the set of nested modules under StringNaming . Each nested module is granted with __all__/0 function that returns all the available symbols in that particular namespace, as well as with methods returning a symbol by it’s name. Examples iex&gt; StringNaming.AnimalSymbols . monkey &quot;🐒&quot; iex&gt; StringNaming.FrakturSymbols.Mathematical.Fraktur.Capital . __all__ [ a : &quot;𝔄&quot; , b : &quot;𝔅&quot; , d : &quot;𝔇&quot; , e : &quot;𝔈&quot; , f : &quot;𝔉&quot; , g : &quot;𝔊&quot; , j : &quot;𝔍&quot; , k : &quot;𝔎&quot; , l : &quot;𝔏&quot; , m : &quot;𝔐&quot; , n : &quot;𝔑&quot; , o : &quot;𝔒&quot; , p : &quot;𝔓&quot; , q : &quot;𝔔&quot; , s : &quot;𝔖&quot; , t : &quot;𝔗&quot; , u : &quot;𝔘&quot; , v : &quot;𝔙&quot; , w : &quot;𝔚&quot; , x : &quot;𝔛&quot; , y : &quot;𝔜&quot; ]","ref":"StringNaming.html","title":"StringNaming","type":"module"},{"doc":"Returns graphemes for modules that have names matching the regular expression given as a parameter. The response is a plain keyword list with names taken from concatenated nested module names. Examples iex&gt; StringNaming . graphemes ~r/AnimalFace/ [ animalfaces_bear_face : &quot;🐻&quot; , animalfaces_cat_face : &quot;🐱&quot; , animalfaces_cow_face : &quot;🐮&quot; , animalfaces_dog_face : &quot;🐶&quot; , animalfaces_dragon_face : &quot;🐲&quot; , animalfaces_frog_face : &quot;🐸&quot; , animalfaces_hamster_face : &quot;🐹&quot; , animalfaces_horse_face : &quot;🐴&quot; , animalfaces_monkey_face : &quot;🐵&quot; , animalfaces_mouse_face : &quot;🐭&quot; , animalfaces_panda_face : &quot;🐼&quot; , animalfaces_pig_face : &quot;🐷&quot; , animalfaces_pig_nose : &quot;🐽&quot; , animalfaces_rabbit_face : &quot;🐰&quot; , animalfaces_spouting_whale : &quot;🐳&quot; , animalfaces_tiger_face : &quot;🐯&quot; , animalfaces_wolf_face : &quot;🐺&quot; ] iex&gt; StringNaming . graphemes ~r/fraktur.small/i [ fraktursymbols_mathematical_fraktur_small_a : &quot;𝔞&quot; , fraktursymbols_mathematical_fraktur_small_b : &quot;𝔟&quot; , fraktursymbols_mathematical_fraktur_small_c : &quot;𝔠&quot; , fraktursymbols_mathematical_fraktur_small_d : &quot;𝔡&quot; , fraktursymbols_mathematical_fraktur_small_e : &quot;𝔢&quot; , fraktursymbols_mathematical_fraktur_small_f : &quot;𝔣&quot; , fraktursymbols_mathematical_fraktur_small_g : &quot;𝔤&quot; , fraktursymbols_mathematical_fraktur_small_h : &quot;𝔥&quot; , fraktursymbols_mathematical_fraktur_small_i : &quot;𝔦&quot; , fraktursymbols_mathematical_fraktur_small_j : &quot;𝔧&quot; , fraktursymbols_mathematical_fraktur_small_k : &quot;𝔨&quot; , fraktursymbols_mathematical_fraktur_small_l : &quot;𝔩&quot; , fraktursymbols_mathematical_fraktur_small_m : &quot;𝔪&quot; , fraktursymbols_mathematical_fraktur_small_n : &quot;𝔫&quot; , fraktursymbols_mathematical_fraktur_small_o : &quot;𝔬&quot; , fraktursymbols_mathematical_fraktur_small_p : &quot;𝔭&quot; , fraktursymbols_mathematical_fraktur_small_q : &quot;𝔮&quot; , fraktursymbols_mathematical_fraktur_small_r : &quot;𝔯&quot; , fraktursymbols_mathematical_fraktur_small_s : &quot;𝔰&quot; , fraktursymbols_mathematical_fraktur_small_t : &quot;𝔱&quot; , fraktursymbols_mathematical_fraktur_small_u : &quot;𝔲&quot; , fraktursymbols_mathematical_fraktur_small_v : &quot;𝔳&quot; , fraktursymbols_mathematical_fraktur_small_w : &quot;𝔴&quot; , fraktursymbols_mathematical_fraktur_small_x : &quot;𝔵&quot; , fraktursymbols_mathematical_fraktur_small_y : &quot;𝔶&quot; , fraktursymbols_mathematical_fraktur_small_z : &quot;𝔷&quot; ] iex&gt; StringNaming . graphemes ~r/ \\A space/i , false [ space_medium_mathematical_space : &quot; &quot; , space_narrow_no_break_space : &quot; &quot; , space_ogham_space_mark : &quot; &quot; , spaces_em_quad : &quot; &quot; , spaces_em_space : &quot; &quot; , spaces_en_quad : &quot; &quot; , spaces_en_space : &quot; &quot; , spaces_figure_space : &quot; &quot; , spaces_four_per_em_space : &quot; &quot; , spaces_hair_space : &quot; &quot; , spaces_punctuation_space : &quot; &quot; , spaces_six_per_em_space : &quot; &quot; , spaces_thin_space : &quot; &quot; , spaces_three_per_em_space : &quot; &quot; ]","ref":"StringNaming.html#graphemes/2","title":"StringNaming.graphemes/2","type":"function"}]